summaryrefslogtreecommitdiffstats
path: root/tests/shelltest/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shelltest/run.sh')
-rwxr-xr-xtests/shelltest/run.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/shelltest/run.sh b/tests/shelltest/run.sh
new file mode 100755
index 0000000..b82b810
--- /dev/null
+++ b/tests/shelltest/run.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+SCRIPT_DIR=$(cd $(dirname $0); pwd)
+
+echo "running tests in ${SCRIPT_DIR}"
+
+for test in ${SCRIPT_DIR}/test_*.sh ; do
+ $test
+ if [ $? -ne 0 ]; then
+ exit 1
+ fi
+done